{
    attributes = (
        {
            allowsNull = Y; 
            columnName = CLOC_KEY; 
            externalType = NUMBER; 
            name = clocKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMP_CODE; 
            externalType = VARCHAR2; 
            name = compCode; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MCUE_ADMISSION_DESC; 
            externalType = NUMBER; 
            name = mcueAdmissionDesc; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MCUE_AIDES_ETUD; 
            externalType = NUMBER; 
            name = mcueAidesEtud; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MCUE_BESOINS_PARTICULIERS; 
            externalType = NUMBER; 
            name = mcueBesoinsParticuliers; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCUE_BIBLIOGRAPHIE; 
            externalType = NUMBER; 
            name = mcueBibliographie; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCUE_CONTENU; 
            externalType = NUMBER; 
            name = mcueContenu; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCUE_EVALUATION; 
            externalType = NUMBER; 
            name = mcueEvaluation; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCUE_OBJECTIFS; 
            externalType = NUMBER; 
            name = mcueObjectifs; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCUE_ORGANISATION; 
            externalType = NUMBER; 
            name = mcueOrganisation; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCUE_PREREQUIS; 
            externalType = NUMBER; 
            name = mcuePrerequis; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MCUE_PUBLIC_CIBLE; 
            externalType = NUMBER; 
            name = mcuePublicCible; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCUE_RECOMMANDATIONS; 
            externalType = NUMBER; 
            name = mcueRecommandations; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MCUE_SEMESTRES; 
            externalType = VARCHAR2; 
            name = mcueSemestres; 
            valueClassName = NSString; 
            width = 25; 
        }, 
        {
            columnName = MUE_KEY; 
            externalType = NUMBER; 
            name = mueKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (mueKey, fannKey); 
    className = EOGenericRecord; 
    classProperties = (
        mueKey, 
        compCode, 
        mcueSemestres, 
        mcueObjectifs, 
        mcueContenu, 
        mcueRecommandations, 
        mcuePrerequis, 
        mcueOrganisation, 
        mcueEvaluation, 
        mcueBibliographie, 
        fannKey, 
        toScolFormationAnnee, 
        toScolMaquetteUe, 
        clocKey, 
        mcueAdmissionDesc, 
        mcueAidesEtud, 
        mcueBesoinsParticuliers, 
        mcuePublicCible, 
        toScolConstanteLocalisation, 
        toGrhumComposanteScolarite
    ); 
    externalName = SCOL_MAQUETTE_COMPLEMENT_UE; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteComplementUe; 
    primaryKeyAttributes = (mueKey, fannKey); 
    relationships = (
        {
            destination = GrhumComposanteScolarite; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = compCode; }); 
            name = toGrhumComposanteScolarite; 
        }, 
        {
            destination = ScolConstanteLocalisation; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = clocKey; sourceAttribute = clocKey; }); 
            name = toScolConstanteLocalisation; 
        }, 
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolMaquetteUe; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mueKey; sourceAttribute = mueKey; }); 
            name = toScolMaquetteUe; 
        }
    ); 
}
